<template>
  <basic-container>表格测试页</basic-container>
</template>

<script>
export default {
  name: "dynamic-table",
  data() {
    return {
      tableList:[
        {
          align: "left",
          colspan: 1,
          field: "name",
          fieldType: "text",
          hidden: false,
          title: "名称",
          width: 100
        },
        {
          align: "left",
          colspan: 1,
          field: "code",
          fieldType: "text",
          hidden: false,
          title: "编码",
          width: 100
        },
        {
          align: "left",
          colspan: 1,
          comboxKey: "EnumReviewType",
          field: "reviewtypetext",
          fieldType: "combox",
          hidden: false,
          sortField: "reviewtype",
          title: "类型",
          width: 80
        },
        {
          align: "left",
          colspan: 1,
          field: "content",
          fieldType: "textarea",
          hidden: false,
          title: "备注",
          width: 150
        },
        {
          align: "left",
          colspan: 1,
          comboxKey: "ProcessReviewLC${lcstatus}",
          field: "lcstatus_text",
          fieldType: "text",
          hidden: false,
          sortField: "lcstatus",
          title: "状态",
          width: 100
        },
        {
          align: "left",
          colspan: 1,
          field: "creator_name,(,creator,)",
          fieldType: "text",
          hidden: false,
          sortField: "creator",
          title: "创建人",
          width: 80
        },
        {
          align: "left",
          colspan: 1,
          dateFormate: "yyyy-MM-dd HH:mm:ss",
          field: "createtime",
          fieldType: "date",
          hidden: false,
          title: "创建日期",
          width: 160
        }
      ]
    }
  }
}
</script>

<style scoped>

</style>
